{smcl}
{* *! version 25Oct2010}{...}
{cmd:help pvdata}
{hline}

{title:Title}

{p2colset 5 22 24 2}{...}
{p2col:{bf:pvdata} {hline 2}}Creating a dataset for {cmd:pvplot} (2010-10-25){p_end}
{p2colreset}{...}


{title:Syntax}

{p 8 18 2}
{cmdab:pvdata} [{it:item-variables}]
[{cmd:,}
{it:options}]

{synoptset 16 tabbed}{...}
{synopthdr}
{synoptline}
{syntab:Selecting other variables}

{synopt:{opt colorv:ars(colvars)}}Variables
to specify colors of the paths. More than one color variable can be
selected but only one at a time can be used in a plot.{p_end}

{synopt:{opt id:(ID-variable)}}ID variable.{p_end}

{synopt:{opt otherv:ars(othervars)}}Other variables to keep in dataset; these
variables do not need to be used in the plot.{p_end}

{syntab:Arranging variables}

{synopt:{opt auto:order(category#)}}Arrange item variables from first to last
in the order correspondong to the percent in category {it:category#}.{p_end}

{syntab:Selecting and sorting of cases}

{synopt:{opt des:cending}}Sort cases in descending order;
the default is ascending order.{p_end}

{synopt:{opt m:ethod(stacked | uniform)}}If {it:stacked} (the default),
create offsets to stack the paths on top of each other.
With {it:uniform} the offsets are created so
that paths from categories with the same value for a given
ID are horizontal.{p_end}

{synopt:{opt nos:ort}}Do not sort cases. By default, cases are sorted by the
values of the {it:item-variables} from the first item to last item.{p_end}

{synopt:{opt sample:(0-100)}}Sample this percent of cases. This is useful
for testing or for large datasets.{p_end}

{synopt:{opt sortitems}}Add the {it:item-variables} to the end of list
of sort variables.
If you use this option, you do not need to include the item variables in the
list of sort variables.{p_end}

{synopt:{opt sortv:ars(sortvars)}}Sort on these variables; if not specified,
sort using {it:itemvars}.{p_end}

{syntab:Other options}

{synopt:{opt debug:}}Run in test mode for debugging.{p_end}

{title:Description}

{pstd}
{cmd:pvdata} creates a dataset used by {cmd:pvplot} to create a parallel
coordinates graph for categorical data.
The dataset includes item variables that are arranged on the x-axis.
Each item must be categorical with sequential categories. Further,
all categories must be observed for at least one item.
For example, if the minimum category is 1 and the maximum is 5,
at least one item must include cases for each category 1, 2, 3, 4, and 5.

{pstd}
You specify the K item variables and optionally specify the
ID variable, variables for sorting the cases, and other variables
indicating the color and intensity of the paths.

{pstd}
The dataset has K-1 rows for each case in the source dataset.
This dataset contains the coordinates of path segments, the values of
the items, the case ID, sort variables, and other variables.
For example, with 4 items, {cmd:pvdata} creates three rows in
the new datasest for each case in the source dataset:

    Row 1: For case 1, information on item 1 and item 2.
    Row 2: For case 1, information on item 2 and item 3.
    Row 3: For case 1, information on item 3 and item 4.
    Row 4: For case 2, information on item 1 and item 2.
    Row 5: For case 2, information on item 2 and item 3.
    Row 6: For case 2, information on item 3 and item 4.
    < and so on >

{pstd}
{cmd:pvplot} plots the line segments from
coordinate (itemST,catST) to the coordinate (itemEN,catEN). These coordinates
are in these variables:

{synoptset 15 tabbed}{...}
{synopt:{opt itemSTx:}}The x-coordinate for the starting point.{p_end}

{synopt:{opt catSTy:}}The y-coordinate for the starting point.{p_end}

{synopt:{opt itemENx:}}The x-coordinate for the ending point.{p_end}

{synopt:{opt catENy:}}The y-coordinate for the ending point.{p_end}

{pstd}
The y-coordinates are offset by the amounts contained in:

{synopt:{opt catSTyoff:}}Offset for the starting y-coordinate.{p_end}

{synopt:{opt catENyoff:}}Offset for the ending y-coordinate.{p_end}

{pstd}
The offset is necessary so that path segments from multiple
cases are not be graphed on top of each other.

{pstd}
Other variables created by {cmd:pvdata} for plotting are:

{synopt:{opt _pvrownum:}}The row number from the source dataset
used to created a given row in the dataset created by {cmd:pvdata}.{p_end}

{synopt:{opt _pvsortorder:}}The row number in the dataset
created by {cmd:pvdata}, ranging from 1 to (K-1)*N. This variable can
be used if you sort the dataset created by {cmd:pvdata} and want
to restore the data to the original order. This will be rarely needed.{p_end}

{pstd}
In addition to creating variables, {cmd:pvdata} sets the value of a global:

{synopt:{opt pvinteractive:}}is set to 0 which indicates that the data in memory was
changed since the last {cmd:pvplot} was run. This tells {cmd:pvplot} to reset all
options to their defaults rather than keeping options at the values used the last
time {cmd:pvplot} was run. In other words, as soon as {cmd:pvdata} is run,
{cmd:pvplot} is placed in non-interactive mode.{p_end}
INCLUDE help pv_footer
