{smcl}
{* *! version 25Oct2010}{...}
{cmd:help pvplot}
{hline}

{title:Title}

{p2colset 5 22 24 2}{...}
{p2col:{bf:pvplot} {hline 2}}Create a PathView plot (2010-10-25){p_end}
{p2colreset}{...}


{title:Syntax}

{p 8 18 2}
{cmdab:pvplot}
[{cmd:,}
{it:options}]

{synoptset 16 tabbed}{...}
{synopthdr}
{synoptline}
{syntab:Path colors and intensitiesd determine by color variable}

{synopt:{opt colv:ar(colvar)}}Colors vary by categories values
of this variable.{p_end}

{synopt:{opt col:ors(colors)}}Specify colors used by {it:colvar}.
Default colors are red blue green magenta aqua gold orange purple mint.
Shortcuts for specifying colors are: {bf}2cat{sf} for red blue;
{bf}3cat{sf} for red blue green; {bf}4cat{sf} for red blue green gold;
{bf}5cat{sf} for red blue green gold purple; {bf}bw{sf} for use of
gray scale values (i.e., black and white graph).
{p_end}

{synopt:{opt coli:ntensity(values)}}Intensities used by each color. By
default these are all 1.0. To vary intensity, specify values from 0.0
to 1.0 with a value for each color specified with {bf:colors()}.
This allows you to use colors that are not full intensity.
{p_end}

{synopt:{opt colr:ange(min max)}}Minimuim and maximum values of {it:colvar}.
This is only needed if {it:colvar} has gaps. TO DO: clarify this option.{p_end}

{syntab:Intensity determined by intensity variable}

{synopt:{opt intv:ar(intvar)}}Intensity varies by categories of
this variable which does not need to be the color variable. This allows
you to vary colors based on one variable and vary intensities based on
another variables. This can be same variable as {it:colvar}. If both
{bf:intvar()} and {bf:colintensity()} are specified, the intensity of a
path is the product of the intensity determined by the color variable and
the intensity variable.
{p_end}

{synopt:{opt int:ensity(values)}}Intensities from 0 to 1
corresponding to categories of the intensity variable.{p_end}

{synopt:{opt intr:ange(min max)}}Minimuim and maximum values of {it:intvar}.
This is only needed if {it:intvar} has gaps.
TO DO: clarify this option.{p_end}

{syntab:Selecting paths to be hidden}

{synopt:{opt hideif:(if-condition)}}Select paths to be shown with the
color specified with {bf:hidecolor()} and the intensity from
{bf:hideintensity(value)). Paths not selected as hidden are selected
to be shown using the normal coloring.{p_end}

{synopt:{opt showif:(if-condition)}}Select paths that are not hidden;
that is, these paths are shown with normal coloring.{p_end}

{synopt:{opt hidec:olor(color)}}Color used for hidden paths;
use white to not show paths. The default color is gray (gs13).{p_end}

{synopt:{opt hideint:ensity(value)}}Intensity of hidden paths.
The default is 1.{p_end}

{syntab:{it:Width and offest of paths}}

{synopt:{opt pathw:idth(#)}}Line width of paths; the default is .01.{p_end}

{synopt:{opt d:elta(#)}}Size of offset between lines. The default is computed
automatically by the program. To determine the optimal path, you may need
to experiment with a variety of values for delta.{p_end}

{syntab:{it:Grids and borders}}

{synopt:{opt gridc:olor(color)}}Color of grid lines. Default is black.{p_end}

{synopt:{opt gridxw:idth(#)}}Width of x-grid line; .3 is default.{p_end}

{synopt:{opt gridyw:idth(#)}}Width of y-grid line; .2 is default.{p_end}

{synopt:{opt grids:pace(#)}}Space from grid to paths as integer; default 2.{p_end}

{synopt:{opt border:}}Add shading around graph. TO DO: verify this command.{p_end}

{syntab:{it:Labeling the graph}}

{synopt:{opt angle:}}Write labels on an angle.{p_end}

{synopt:{opt cap:tion(text)}}Add a caption using standard Stata options.
For example, {bf:caption(Source: mypgm.do 2010-02-10,size(tiny))}.{p_end}

{synopt:{opt ti:tle(text)}}Title using standard Stata options.{p_end}

{synopt:{opt sub:title(text)}}Subtitle using standard Stata options.{p_end}

{synopt:{opt note:(text)}}Note using standard Stata options.{p_end}

{synopt:{opt ylaboff:set(#)}}Add offet to y-label; default is .25.{p_end}

{synopt:{opt labels:ize(string)}}Size of axes labels: tiny vsmall small medsmall
medium medlarge large or vlarge; default is vsmall.{p_end}

{syntab:Options related to interactive mode}

{synopt:{opt r:eset}}By default the current graph uses the options from
the last graph in the current session.
The reset options returns all options to their defaults.
This is referred to as turning off interactive mode.
To remove a single option, you can drop it
(e.g., {cmd:pvdata, hidecolor(drop)}).{p_end}

{synopt:{opt q:uietly}}Do not show graph, only change options to be used
for next graph that is createed.{p_end}

{synopt:{opt expa:dd}}Add a counter to the last name of the export
    file which allows you to generate new graphs without having to change
    the name of the export file when working interactively.{p_end}

{syntab:{it:Other options}}

{synopt:{opt aspect:ratio(#)}}Aspect ratio of graph; default is 1.{p_end}

{synopt:{opt opt:ions(string)}}These options are sent to Stata's
{cmd:graph} command.{p_end}

{synopt:{opt ex:port(string)}}Name of export file. For example,
{bf:export(mygraph.png, replace width(1400))}.{p_end}

{synopt:{opt sample:(0-100)}}Randomly select this percent of cases.{p_end}

{title:Description}

{pstd}
{cmd:pvplot} creates a parallel coordinates for categorical variables.
The usual parallel coordinates graph will use exactly the same line (i.e.,
path) for any cases that have the save values of the variables being
plotted. When the variables are interval this is not a problem. But, with
categorical variables you are likely to have many cases that are shown
by exactly the same path. To deal with this problem, {cmd:pvplot} adds a
small offset to paths so that each case is shown by a distinct path.
To use {cmd:pvplot} you begin by creating a dataset with {cmd:pvdata}.
This dataset creates one case for each line segment that is plotted by
{cmd:pvplot}. You can select which cases to plot using {cmd:pvsel}.

{title:How colors are determined}

{pstd}
Colors are controlled by: (1) the {bf:hue} and (2) the {bf:intensity}.
The hue is indicated by names such as red (see {help colorstyle}). The
intensity is a number from 0.0 to 1.0 for lighter to darker colors.
You can control hue and intensity with the options:

{p 6 6}
{cmd:colvar()} to specify the name of the variable whose categories
determine the color of a path.

{p 6 6}
{cmd:colors()} controls which colors are used for which categories.

{p 6 6}
{cmd:colintensity()} specifies the intensity for each color.

{pstd}
For example, for colors based on item sdneighb:

{bf:      pvplot , ///}
{bf:          colvar(sdneighb) colors(red blue orange green)}

{pstd}
Or, you can vary the intensity so that categories 1 and 2 of sdneighb
are shown as light colors (intensity .2) while values 3 and 4 are shown
with intensity 1.

{bf:      pvplot , ///}
{bf:          colvar(sdneighb) colors(red blue orange green) ///}
{bf:          colintensity(.2 .2 1 1)}

{pstd}
Intensity can also by determined by the value of a variable that is not the
same as teh color variable. For example, here
colors are controled by item sdneighb and intensity by the item dsmarry:

{bf:      pvplot , ///}
{bf:          colvar(sdneighb) colors(red blue orange green) ///}
{bf:          intvar(sdmarry)  intensity(.25 .5 .75 1)}

{pstd}
You can also control the color by a variable that is not one of the items
being graphed:

{bf:      pvplot , ///}
{bf:          colvar(nokids) colors(orange green)}

{pstd}
Or, you can let color be controlled by an item and intensity by another variable:

{bf:      pvplot , ///}
{bf:          colvar(sdneighb) colors(red blue orange green) ///}
{bf:          intvar(nokids)   intensity(.25 1)}

{pstd}
If you specify intensity both with {cmd:colintensity} and
{cmd:intensity}, the intensity of a path is a product of the intensity
from {it:colvar} and {it:intvar}.

{pstd}
Intensities are specified with decimal digits from 0.0 to 1.0 Or, you
can use the text string {bf:hi} for 1, {bf:medhi} for .8, {bf:med} for .6,
{bf:medlo} for .4, {bf:lo} for .2. or {bf:vlo} for .1.

{title:Showing and hiding paths}

{pstd}
You can select paths the will be represented as hidden lines; alternatively,
if you specify lines that are shown, all paths not specified as shown will
be hidden. A path that is "hidden" is simply drawn using a color and
an intensity that you specify with {bf:hidecolor()} and
{bf:hideintensity()}. You can make hidden paths invisible by selecting a
color that is the same as the background or an intensity that is 0.
Or you can "hide" paths by making them a color that highlights these paths.
For example, you could have all paths for men shown as pink).

{pstd}
Thus, colors and intensities can be control by the color variable, the
intensity variable, and whether a path is selected as hidden.

{title:Interactive mode}

{pstd}
Interactive mode makes it simple to modify an existing graph.
After you create a graph with {cmd:pvplot},
the next graph created by {cmd:pvplot} will by default assume the values of
the options specified by the prior graph. This means that you can easily
change just one option without having to respecify other options. If you
want to change an option that was already set, you can either specify a new
value for that option or drop it (e.g., {cmd:pvdata, hidecolor(drop)}).

{pstd}
By default, {cmd:pvstata} works in interactive mode. If you want to
submit a command that resets all options to their defaults, you add the
{bf:default} option to your command.

{pstd}
To see how interactive mode works, consider an example.
Suppose you create a graph with the command:

{bf:      pvplot , ///}
{bf:          colvar(sdneighb) colors(red blue orange green) ///}
{bf:          gridspace(3) aspect(1) ///}
{bf:          export(graph1.png, replace)}

{pstd}
Next I want a graph with different colors. Since the current options will be
used in the next graph, I only need to change the color options:

{bf:      pvplot , ///}
{bf:          colors(pink blue orange green) ///}
{bf:          export(graph2.png, replace)}

{pstd}
Interactive model can be canceled with the {bf:default} option. For example,

{bf:      pvplot , default ///}
{bf:          colors(pink blue orange green) ///}
{bf:          export(graph3.png, replace)}

{pstd}
The {bf:default} option resets all options.

{pstd}
Interactive mode is useful both within a do-file so that you do not have
to repeatedly specify options, but is also useful if you want to submit
commands from the command line in Stata. To make this easier, the shorter
names {cmd:pvs} and {cmd:pvp} can be used instead of
{cmd:pvsel} and {cmd:pvplot}.{p_end}
INCLUDE help pv_footer
