{smcl}
{* 05Feb2011}{...}
{cmd:help stata2pvd}: Help for converting Stata data to pvd PathView files - 2010-02-05
{hline}
{p2colset 4 14 14 2}{...}

{title:Overview}

{p 4 4 2 75}
The command {cmd:stata2pvd} converts Stata data into a pvd text file that can be
read by the PathView interactive program.

{title:Syntax}

{p 8 13 2}
{cmd:stata2pvd} {it:varlist} {cmd:using} {it:pvd-file-name},
{cmd:,} {it:options}

{synoptset 28 tabbed}{...}
{synopthdr}
{synoptline}
{syntab:{it:Required}}

{synopt:{opt id}({it:ID_variable})}
Name of ID variable.{p_end}
{synopt:{opt cat:labels}({it:category_labels})}
Labels for categories; 11 characters or shorter.{p_end}
{synopt:{opt item:labels}({it:item_labels})}
Labels for items; 11 characters or shorter.{p_end}

{synoptset 29 tabbed}{...}
{syntab:{it:Optional}}

{synopt:{opt sort}({it:items}|_all)}Sort by these variables before saving pvd file.{p_end}
{synopt:{opt stable}}Use Stata's stable option when sorting.{p_end}
{synopt:{opt miss}}Keep cases even if they have missing data.{p_end}
{synopt:{opt replace}}Replace pvd file if it already exists.{p_end}
{synopt:{opt title}({it:title})}Title for labeling contents of pvd file.{p_end}

{synoptline}

{title:Extract data from GSS}

{p 4 4 2}

use icpsr_gss3, clear
* names of items to use
local items "frdcreat frdcultr frddynam frdfun frdhonst frdintel frdresp"
* labels to use for selected items
local itlbl "CREATIVE CULTURED DYNAMIC FUN_LOVING HONEST SMART RESPONSIBLE"

stata2pvd `items' using pv_gss_friends01, replace ///
    id(id) title("GSS Friends data \ jsl 2010-02-05") ///
    catlabels(1_NotAtAll 2_NotToo 3_Fairly 4_Very 5_Extrmly) ///
    itemlabels(`itlbl') ///
    sort(_all) 

{title:About Pathview}

{p 4 4}
PathView is an interactive program for computing parallel coordinates
graphs for categorical variables. To obtain further information about
the PathView program, go to:

    {browse "http://www.indiana.edu/~jslsoc/pv.htm":For more information on PathView, check here.}
{p 4 4}
{* 20Oct2009}

{title:Authors}

{p 4 4 0}
J. Scott Long - jslong@indiana.edu
{p 4 4 0}
Departments of Sociology and Statistics, Indiana University

